List Agent Tools
curl --request GET \
--url https://api.sigmamind.ai/v1/agents/{agentId}/tools \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sigmamind.ai/v1/agents/{agentId}/tools"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sigmamind.ai/v1/agents/{agentId}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sigmamind.ai/v1/agents/{agentId}/tools",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sigmamind.ai/v1/agents/{agentId}/tools"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sigmamind.ai/v1/agents/{agentId}/tools")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sigmamind.ai/v1/agents/{agentId}/tools")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"integrationId": "intg_AuUKK371Spr5",
"toolId": "tool_X9pLm2Wq8Rt3",
"toolName": "Get Order",
"toolAlias": "get_order",
"method": "GET",
"endpoint": "https://my-store.myshopify.com/admin/api/2024-01/orders/{{orderId}}.json",
"headers": {
"customer_name": "Michael",
"account_id": "ACC-001"
},
"params": {
"customer_name": "Michael",
"account_id": "ACC-001"
},
"bodyParams": {
"customer_name": "Michael",
"account_id": "ACC-001"
},
"bodyParamsType": "JSON",
"statusCode": 200
}
],
"page": 0,
"size": 20,
"totalCount": 125,
"totalPages": 7,
"hasNext": true,
"hasPrevious": false
}{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/agents",
"status": 400,
"timestamp": "2026-09-08T12:22:37.691Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/agents",
"status": 401,
"timestamp": "2026-09-08T12:22:37.691Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/agents",
"status": 403,
"timestamp": "2026-09-08T12:22:37.691Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/agents",
"status": 404,
"timestamp": "2026-09-08T12:22:37.691Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/agents",
"status": 500,
"timestamp": "2026-09-08T12:22:37.691Z"
}List Agent Tools
Retrieve a paginated list of all the tools associated with the agent.
GET
/
v1
/
agents
/
{agentId}
/
tools
List Agent Tools
curl --request GET \
--url https://api.sigmamind.ai/v1/agents/{agentId}/tools \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sigmamind.ai/v1/agents/{agentId}/tools"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sigmamind.ai/v1/agents/{agentId}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sigmamind.ai/v1/agents/{agentId}/tools",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sigmamind.ai/v1/agents/{agentId}/tools"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sigmamind.ai/v1/agents/{agentId}/tools")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sigmamind.ai/v1/agents/{agentId}/tools")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"integrationId": "intg_AuUKK371Spr5",
"toolId": "tool_X9pLm2Wq8Rt3",
"toolName": "Get Order",
"toolAlias": "get_order",
"method": "GET",
"endpoint": "https://my-store.myshopify.com/admin/api/2024-01/orders/{{orderId}}.json",
"headers": {
"customer_name": "Michael",
"account_id": "ACC-001"
},
"params": {
"customer_name": "Michael",
"account_id": "ACC-001"
},
"bodyParams": {
"customer_name": "Michael",
"account_id": "ACC-001"
},
"bodyParamsType": "JSON",
"statusCode": 200
}
],
"page": 0,
"size": 20,
"totalCount": 125,
"totalPages": 7,
"hasNext": true,
"hasPrevious": false
}{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/agents",
"status": 400,
"timestamp": "2026-09-08T12:22:37.691Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/agents",
"status": 401,
"timestamp": "2026-09-08T12:22:37.691Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/agents",
"status": 403,
"timestamp": "2026-09-08T12:22:37.691Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/agents",
"status": 404,
"timestamp": "2026-09-08T12:22:37.691Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/agents",
"status": 500,
"timestamp": "2026-09-08T12:22:37.691Z"
}Authorizations
Query Parameters
Response
OK
Standard wrapper for paginated API responses. Use this when returning list data that is split across multiple pages. Includes the current page of results along with pagination metadata to help clients navigate through large datasets efficiently.